# Uses of Class
org.apache.sysds.hops.codegen.template.CPlanMemoTable.MemoTableEntry

Packages that use CPlanMemoTable.MemoTableEntry
Package
Description
org.apache.sysds.hops.codegen.opt
org.apache.sysds.hops.codegen.template

## Uses of CPlanMemoTable.MemoTableEntry in org.apache.sysds.hops.codegen.opt

Methods in org.apache.sysds.hops.codegen.opt with parameters of type CPlanMemoTable.MemoTableEntry
Modifier and Type
Method
Description
`static boolean`
InterestingPoint.`isMatPoint(InterestingPoint[] list, long from, CPlanMemoTable.MemoTableEntry me, boolean[] plan)`

## Uses of CPlanMemoTable.MemoTableEntry in org.apache.sysds.hops.codegen.template

Fields in org.apache.sysds.hops.codegen.template with type parameters of type CPlanMemoTable.MemoTableEntry
Modifier and Type
Field
Description
`ArrayList<CPlanMemoTable.MemoTableEntry>`
CPlanMemoTable.MemoTableEntrySet.`plans`
Methods in org.apache.sysds.hops.codegen.template that return CPlanMemoTable.MemoTableEntry
Modifier and Type
Method
Description
`static CPlanMemoTable.MemoTableEntry`
TemplateOuterProduct.`dropAlternativePlan(CPlanMemoTable memo, CPlanMemoTable.MemoTableEntry me1, CPlanMemoTable.MemoTableEntry me2)`
`CPlanMemoTable.MemoTableEntry`
CPlanMemoTable.`getBest(long hopID)`
`CPlanMemoTable.MemoTableEntry`
CPlanMemoTable.`getBest(long hopID, TemplateBase.TemplateType pref)`
`CPlanMemoTable.MemoTableEntry`
CPlanMemoTable.`getBest(long hopID, TemplateBase.TemplateType pref1, TemplateBase.TemplateType pref2)`
Methods in org.apache.sysds.hops.codegen.template that return types with arguments of type CPlanMemoTable.MemoTableEntry
Modifier and Type
Method
Description
`List<CPlanMemoTable.MemoTableEntry>`
CPlanMemoTable.`get(long hopID)`
`List<CPlanMemoTable.MemoTableEntry>`
CPlanMemoTable.`get(long hopID, TemplateBase.TemplateType type)`
`List<CPlanMemoTable.MemoTableEntry>`
CPlanMemoTable.`getDistinct(long hopID)`
`HashMap<Long,List<CPlanMemoTable.MemoTableEntry>>`
CPlanMemoTable.`getPlans()`
Methods in org.apache.sysds.hops.codegen.template with parameters of type CPlanMemoTable.MemoTableEntry
Modifier and Type
Method
Description
`void`
CPlanMemoTable.`add(Hop hop, CPlanMemoTable.MemoTableEntry me)`
`boolean`
CPlanMemoTable.`contains(long hopID, CPlanMemoTable.MemoTableEntry me, TemplateBase.TemplateType type)`
`static CPlanMemoTable.MemoTableEntry`
TemplateOuterProduct.`dropAlternativePlan(CPlanMemoTable memo, CPlanMemoTable.MemoTableEntry me1, CPlanMemoTable.MemoTableEntry me2)`
`boolean`
CPlanMemoTable.MemoTableEntry.`equalPlanRefs(CPlanMemoTable.MemoTableEntry that)`
`boolean`
CPlanMemoTable.MemoTableEntry.`subsumes(CPlanMemoTable.MemoTableEntry that)`
Method parameters in org.apache.sysds.hops.codegen.template with type arguments of type CPlanMemoTable.MemoTableEntry
Modifier and Type
Method
Description
`void`
CPlanMemoTable.`remove(Hop hop, Set<CPlanMemoTable.MemoTableEntry> excludeList)`
`void`
CPlanMemoTable.`setDistinct(long hopID, List<CPlanMemoTable.MemoTableEntry> plans)`